"use strict";

var _tape = _interopRequireDefault(require("tape"));

var _bpm = require("./bpm");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _tape.default)('bpmToPlaybackSpeed', t => {
  const expected = [[60, 1], [90, 1.5], [120, 2], [40, 0.667], [23, 0.383], [180, 3], [null, 1], [undefined, 1], [0, 0]];
  expected.forEach(([bpm, expected]) => {
    t.equal((0, _bpm.bpmToPlaybackSpeed)(bpm), expected);
  });
  t.end();
});