"use strict";

var _tape = _interopRequireDefault(require("tape"));

var _toDecimal = require("./to-decimal");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _tape.default)('roundToDecimal', t => {
  const input = [[45.96030533583161, 46.0], [100, 100], [22342.22242, 22342.2]];
  input.forEach(([start, expected]) => {
    t.equal((0, _toDecimal.roundToDecimal)(start, 1), expected, "".concat(start, " should be ").concat(expected));
  });
  t.end();
});
(0, _tape.default)('roundToPrecision', t => {
  const input = [[45.96030533583161, 1, 46], [45.96030533583161, 2, 46], [100, 3, 100], [1323.3, 5, 1323.3], [22342.22242, 1, 22342], [22342.22242, 2, 22342], [22342.22242, 3, 22342], [22342.22242, 4, 22342], [22342.22242, 5, 22342], [22342.22242, 6, 22342.2], [22342.22242, 7, 22342.22]];
  input.forEach(([start, precision, expected]) => {
    t.equal((0, _toDecimal.roundToPrecision)(start, precision), expected, "".concat(start, " should be ").concat(expected));
  });
  t.end();
});