"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TipBox = void 0;

var _preact = require("preact");

var _icon = require("./icon");

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const TipBox = ({
  children,
  className
}) => (0, _preact.h)("div", {
  className: (0, _classnames.default)('ba b--yellow bg-light-yellow pa2 br2', className)
}, (0, _preact.h)("div", null, (0, _preact.h)("div", {
  className: "flex item-center bb b--yellow mb2"
}, (0, _preact.h)(_icon.Icon, {
  icon: "lightbulb_outline",
  className: "relative",
  size: "16",
  style: {
    left: '-2px'
  }
}), (0, _preact.h)("span", {
  className: "fw6"
}, "Tip:")), (0, _preact.h)("div", null, children)));

exports.TipBox = TipBox;